Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Accept_Strategy Class Template Reference

`#include <Acceptor_Impl.h>`

Inheritance diagram for TAO_Accept_Strategy:

[legend]
Collaboration diagram for TAO_Accept_Strategy:

[legend]
List of all members.

## Public Methods
| TAO_Accept_Strategy (TAO_ORB_Core *orb_core)
| Constructor. More...
int | open (const ACE_PEER_ACCEPTOR_ADDR &local_addr, int restart=0)
| Initialize the <peer_acceptor_> with <local_addr>. If the process runs out of handles, purge some "old" connections. More...
int | accept_svc_handler (SVC_HANDLER *svc_handler)
| Delegates to the <accept> method of the PEER_ACCEPTOR. If the process runs out of handles, purge some "old" connections. More...
## Protected Types
typedef ACE_Accept_Strategy< SVC_HANDLER, ACE_PEER_ACCEPTOR_2 > | ACCEPT_STRATEGY_BASE
| Base class. More...
## Protected Attributes
TAO_ORB_Core * | orb_core_
| Pointer to the ORB Core. More...

### template<class SVC_HANDLER, ACE_PEER_ACCEPTOR_1>
class TAO_Accept_Strategy< SVC_HANDLER, >

## Member Typedef Documentation

template<class SVC_HANDLER, ACE_PEER_ACCEPTOR_1 >
typedef ACE_Accept_Strategy<SVC_HANDLER, ACE_PEER_ACCEPTOR_2> TAO_Accept_Strategy::ACCEPT_STRATEGY_BASE`[protected]`

| Base class.

## Constructor & Destructor Documentation

template<class SVC_HANDLER, ACE_PEER_ACCEPTOR_1 >
TAO_Accept_Strategy< SVC_HANDLER, >::TAO_Accept_Strategy | ( | TAO_ORB_Core * | orb_core | ) |

| Constructor.

## Member Function Documentation

template<class SVC_HANDLER, ACE_PEER_ACCEPTOR_1 >
int TAO_Accept_Strategy< SVC_HANDLER, >::accept_svc_handler | ( | SVC_HANDLER * | svc_handler | ) | `[virtual]`

| Delegates to the <accept> method of the PEER_ACCEPTOR. If the process runs out of handles, purge some "old" connections. Reimplemented from ACE_Accept_Strategy.

template<class SVC_HANDLER, ACE_PEER_ACCEPTOR_1 >
int TAO_Accept_Strategy< SVC_HANDLER, >::open | ( | const ACE_PEER_ACCEPTOR_ADDR & | local_addr,
|  | int | restart = 0
| ) | `[virtual]`

| Initialize the <peer_acceptor_> with <local_addr>. If the process runs out of handles, purge some "old" connections. Reimplemented from ACE_Accept_Strategy.

## Member Data Documentation

template<class SVC_HANDLER, ACE_PEER_ACCEPTOR_1 >
TAO_ORB_Core* TAO_Accept_Strategy::orb_core_`[protected]`

| Pointer to the ORB Core.

The documentation for this class was generated from the following files:

- Acceptor_Impl.h
- Acceptor_Impl.cpp